convertir rpm en deb (solucionado)

Imagen de eliot eduardo
0 puntos

hola , bueno pues hace poco me instale la version 12.10 de ubuntu en mi disco duro pero no tenia la suficiente experiencia con este (se nota por lo del tema) pero tenia ganas de aprender como sea segui los pasos de varios tutoriales y me instale alien y tambien fakeroot (no se si de verdad era necesario) y segui los pasos de los tutoriales intente con varios comandos por lo que creo talvez incorrectos:
eliot@eliot-HP-Pavilion-dv6-Notebook-PC:~/Descargas$ sudo alien -d jre-7u13-linux-x64.rpm (fue el primero pero al escribirlo pasa esto
Warning: Skipping conversion of scripts in package jre: postinst postrm prerm
Warning: Use the --scripts parameter to include the scripts.
jre-7u13-linux-x64.rpm is for architecture amd64 ; the package cannot be built on this system

eliot@eliot-HP-Pavilion-dv6-Notebook-PC:~$ sudo alien -d '/home/eliot/Descargas/jre-7u13-linux-x64.rpm'
Warning: Skipping conversion of scripts in package jre: postinst postrm prerm
Warning: Use the --scripts parameter to include the scripts. (segundo intento fallo de nuevo mismo error)

eliot@eliot-HP-Pavilion-dv6-Notebook-PC:~/Descargas$ sudo alien -d jre-7u13-linux-x64.rpm
Warning: Skipping conversion of scripts in package jre: postinst postrm prerm
Warning: Use the --scripts parameter to include the scripts.
jre-7u13-linux-x64.rpm is for architecture amd64 ; the package cannot be built on this system

bueno aqui los errores que tuve y la consola que me marco por lo que se hay varias formas

sudo alien -d paquete.rpm
sudo alien -i paquete.rpm
sudo alien -k paquete.

gracias por ayudar

Imagen de LyingB
+1
0
-1

Dice que el paquete por ser de una arquitectura de 64 bits (amd64) no puede ser construido en tu sistema ¿Usas uno de 64 bits o de 32?

De cualquier manera ¿Para qué quieres instalar ese Java de un paquete externo? ¿No te basta con el que viene en los repositorios?

Trata de depender lo menos posible de Alien que en ocasiones genera conflictos.

Si necesitas instalar Java de la página oficial y no de los repositorios puedes seguir estas instrucciones:
http://www.liberiangeek.net/2012/04/install-oracle-java-runtime-jre-7-in...

+1
0
-1


Agrega al final del título del post (solucionado) si has arreglado tu problema.

Imagen de eliot eduardo
+1
0
-1

la opcion que me diste fue muy buena tenias razon acerca de no depender de alien y hubo un error mio en cuanto a el sistema operativo como tengo particiones instale ubuntu como un sistema operativo de 32bits siendo que en realidad es de 64bits asi que no podre usar mi poderoso quad core ... gracias por la pronta respuesta

+1
0
-1
Imagen de LyingB
+1
0
-1

que signifique esto:

como tengo particiones instale ubuntu como un sistema operativo de 32bits siendo que en realidad es de 64bits asi que no podre usar mi poderoso quad core

El que tengas particiones no impide, en absoluto, que instales un sistema de 64 bits... además ¿Cómo que no puedes usar tu quad core¿ Que yo sepa un sistema de 32bits no tiene impedimentos al usar un procesador (o quizá te refieres a que no le sacas todo el jugo por no usar un sistema de 64bits cuando tienes la posibilidad de hacerlo).

+1
0
-1


Agrega al final del título del post (solucionado) si has arreglado tu problema.